########################################################################################  
hodnoceni_site_typ_hran <- function(tested_GRN, standard_GRN){
  #funckce pro vypocet F-skore mezi 2 sitemi, ktere obsahuji interakce s oznacenim jejich typu (-1/0/+1)
  #vstupy funkce:
  #tested_GRN obsahuje testovanou adjacency matrix 
  #standard_GRN obsahuje adjacency matrix vzoru (gold standard)
  library(pracma)
    
znamenko <- c(-1, 1)
F_score <- c()

for(znam in 1:2){
  TP <- 0
  FP <- 0
  FN <- 0
  
  for(i in 1:dim(tested_GRN)[1]){
    for(j in 1:dim(tested_GRN)[2]){
      
      if(tested_GRN[i,j] == standard_GRN[i,j] && standard_GRN[i,j] == znamenko[znam]){
        TP <- TP + 1
      } else if(tested_GRN[i,j] != standard_GRN[i,j] && tested_GRN[i,j] == znamenko[znam]){
        FP <- FP + 1
      } else if(tested_GRN[i,j] != standard_GRN[i,j] && tested_GRN[i,j] == 0){
        FN <- FN + 1
      }
    }
  }
  
  p <- TP/(TP + FP)
  r <- TP/(TP + FN)
  
  if(p == 0 && r == 0){
    F_score[znam] <- 0
  } else {
    F_score[znam] <- (2*p*r) / (p+r)
  }
  
}
print(F_score)
print(mean(F_score))
}

########################################################################################  
hodnoceni_site <- function(tested_GRN, standard_GRN){
  #funckce pro vypocet F-skore mezi 2 sitemi, které obsahuji pouze interakce bez oznaceni jejich typu
  #(smerove i nesmerove site)
  #vstupy funkce:
  #tested_GRN obsahuje testovanou adjacency matrix 
  #standard_GRN obsahuje adjacency matrix vzoru (gold standard)
  
F_score <- c()
TP <- 0
FP <- 0
FN <- 0

log_tested <- tested_GRN == 0
log_standard <- standard_GRN == 0

for(i in 1:length(gold_standard)){
  
  if(log_tested[i] == log_standard[i] && log_tested[i] == FALSE){
    TP <- TP + 1
  } else if(log_tested[i] != log_standard[i] && log_tested[i] == FALSE){
    FP <- FP + 1
  } else if(log_tested[i] != log_standard[i] && log_tested[i] == TRUE){
    FN <- FN + 1
  }
}

p <- TP/(TP + FP)
r <- TP/(TP + FN)

F_score <- (2*p*r) / (p+r)

print(F_score)
}